Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class ReplyHeader_1_0

    java.lang.Object
      |
      +--org.omg.GIOP.ReplyHeader_1_0

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ReplyHeader_1_0
extends java.lang.Object
implements IDLEntity

Struct definition : ReplyHeader_1_0

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`ReplyStatusType_1_0` | `reply_status` Struct member reply_status
`int` | `request_id` Struct member request_id
`ServiceContext[]` | `service_context` Struct member service_context

Constructor Summary
`ReplyHeader_1_0()` Default constructor
`ReplyHeader_1_0(ServiceContext[] service_context, int request_id, ReplyStatusType_1_0 reply_status)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service_context

    public ServiceContext[] service_context

  Struct member service_context

### request_id

    public int request_id

  Struct member request_id

### reply_status

    public ReplyStatusType_1_0 reply_status

  Struct member reply_status

Constructor Detail

### ReplyHeader_1_0

    public ReplyHeader_1_0()

  Default constructor

### ReplyHeader_1_0

    public ReplyHeader_1_0(ServiceContext[] service_context,
                           int request_id,
                           ReplyStatusType_1_0 reply_status)

  Constructor with fields initialization
  Parameters:
    `service_context` - service_context struct member
    `request_id` - request_id struct member
    `reply_status` - reply_status struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD